// Place all the styles related to the Report controller here.
// They will automatically be included in application.css.
// You can use Sass (SCSS) here: http://sass-lang.com/
//
//= require_relative './fonts/thsarabunnew'

* {
  box-sizing: border-box;
}

table,
tbody,
tfoot,
thead,
tr,
th,
td {
  border: 0;
  margin: 0;
  padding: 0;
  position: relative;
  vertical-align: top;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

td {
  vertical-align: top;
}

.tableBorder {
  border-collapse: collapse;
  width: 100%;
}

.tableBorder {
  >tbody {
    >tr {
      >td {
        border: 1px solid #b7b7b7;
        padding: 5px;
        vertical-align: top;
      }
    }
  }
}

.textBold{
  font-weight: bold;
}

body {
  font-family: 'Sarabun', sans-serif;
  font-size: 16px;
  line-height: normal;
  padding: 10px;
}

header {
  height: 50px;
  padding: 10px 30px;
  border-bottom: 1px solid #b7b7b7;
}

.content {
  padding: 20px 30px;
  >.head {
    background-color: #e2e2e2;
    border: 1px solid #b7b7b7;
    font-size: 1.5em;
    font-weight: bold;
    padding: 5px 0px 0px 0px;
    text-align: center;
  }
  >.patientInfo {
    margin-top: 20px;
  }
  >.treatmentResults {
    margin-top: 20px;
  }
  .card {
    border: 1px solid #bfbfbf;
    margin-top: 20px;
    >.cardHead {
      background-color: #efefef;
      border-bottom: 1px solid #bfbfbf;
      font-size: 1.1em;
      font-weight: bold;
      padding: 5px 10px 0px 10px;
    }
    >.cardContent {
      padding: 10px;
      >.cardGroup {
        margin-top: 10px;
        .title {
          font-weight: bold;
        }
      }
      .cardLine {
        border-top: 1px solid #dfdfdf;
        margin: 5px 0px;
      }
    }
  }
  .floatBlock {
    >* {
      float: left;
    }
    &::before,
    &::after {
      content: '';
      clear: both;
      display: block;
    }
    &.blockNormal {
      >* {
        width: 200px;
      }
    }
  }
  .resultLine {}
  .resultBlock {
    .label {
      font-weight: bold;
      white-space: nowrap;
      &::after {
        content: ':';
        display: inline-block;
        text-align: center;
        width: 10px;
      }
    }
    .value {}
  }
  table {
    &.resultBlock {
      width: 100%;
      td {
        &.label {
          width: 5px;
        }
      }
    }
  }
}

footer {
  border-top: 1px solid #b7b7b7;
  height: 50px;
  padding: 10px 30px;
}

//hhcCase Report
.hhcCase {
  .treatmentResults {
    .tableBorder {
      >tbody {
        >tr {
          >td {
            &:first-of-type {
              width: 275px;
            }
          }
        }
      }
    }
  }
}

.page-break { display:block; clear:both; page-break-after:always; }